<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>

</html>
<script>
    let arr1 = ['A', 'B', 'C'];
    let arr2 = ['X', 'Y', 'Z'];

    let combinedArray = [...arr1, ...arr2];
    console.log(combinedArray);
    let fruits = ['Apple', 'Orange', 'Banana'];

    let newFruitsArray = [...fruits, 'Cherry'];
    console.log(newFruitsArray);
    let obj1 = { id: 101, name: 'John Doe' };
    let obj2 = { age: 25, country: 'USA' };

    let combinedObject = { ...obj1, ...obj2 };
    console.log(combinedObject);

</script>